org.modeshape.jcr

## Class Upgrades.ModeShape_3_6_0

- java.lang.Object
- - org.modeshape.jcr.Upgrades.UpgradeOperation
  - - org.modeshape.jcr.Upgrades.ModeShape_3_6_0

- Enclosing class:
    Upgrades

      protected static class Upgrades.ModeShape_3_6_0
      extends Upgrades.UpgradeOperation

  Upgrade operation handling moving to ModeShape 3.6.0.Final. This consists of:making sure the internal node types are
  - updated to reflect the ACL and mode:lock changes
  - updating any potential existing lock to the updated mode:lock node type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Upgrades.UpgradeOperation` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Upgrades.ModeShape_3_6_0()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Upgrades.Context resources)` Apply this upgrade operation to the supplied running repository.

    - ### Methods inherited from class org.modeshape.jcr.Upgrades.UpgradeOperation

      `getId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          protected static final Upgrades.UpgradeOperation INSTANCE

  - ### Constructor Detail

    - #### Upgrades.ModeShape_3_6_0

          protected Upgrades.ModeShape_3_6_0()

  - ### Method Detail

    - #### apply

          public void apply(Upgrades.Context resources)

      Description copied from class: `Upgrades.UpgradeOperation`
      Apply this upgrade operation to the supplied running repository.
      Specified by:
        `apply` in class `Upgrades.UpgradeOperation`
      Parameters:
        `resources` - the resources for the repository; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.